# -*- coding: utf-8 -*-
from setuphelpers import *



def update_package():
    proxies = {}
    if isfile(makepath(application_data(), "waptconsole", "waptconsole.ini")):
        proxywapt = inifile_readstring(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini"), "global", "http_proxy")
        if proxywapt:
            proxies = {"http": proxywapt, "https": proxywapt}

    lastversion = wgets("https://www.gpg4win.org/thanks-for-download.html", proxies=proxies).split("gpg4win-")[1].split(".exe")[0]
    binaryfile = "gpg4win-%s.exe" % lastversion

    for exe in glob.glob("*.exe"):
        if exe != binaryfile:
            remove_file(exe)

    if not isfile(binaryfile):
        wget("https://files.gpg4win.org/" + binaryfile, binaryfile, proxies=proxies)

    os.chdir(os.path.dirname(__file__))
    from waptpackage import PackageEntry

    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    pe.version = lastversion + "-0"
    pe.save_control_to_wapt(os.getcwd())